# $Revision: 1.8 $, $Date: 2004/12/04 15:36:38 $
%define		realname	libpng
Summary:	PNG library - Mingw32 cross version
Summary(pl):	Biblioteka PNG - wersja skrona dla Mingw32
Name:		crossmingw32-%{realname}
Version:	1.2.8
Release:	1
License:	distributable
Group:		Libraries
Source0:	http://dl.sourceforge.net/libpng/%{realname}-%{version}.tar.bz2
# Source0-md5:	00cea4539bea4bd34cbf8b82ff9589cd
Patch0:		%{realname}-pngminus.patch
Patch1:		%{realname}-badchunks.patch
Patch2:		%{realname}-opt.patch
Patch3:		%{realname}-revert.patch
Patch4:		%{realname}-norpath.patch
Patch5:		%{realname}-libdirfix.patch
Patch6:		%{name}-shared.patch
URL:		http://www.libpng.org/pub/png/libpng.html
BuildRequires:	crossmingw32-gcc
BuildRequires:	crossmingw32-w32api
BuildRequires:	crossmingw32-zlib
Requires:	crossmingw32-runtime
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		no_install_post_strip	1

%define		target		i386-mingw32
%define		target_platform	i386-pc-mingw32
%define		arch		%{_prefix}/%{target}
%define		gccarch		%{_prefix}/lib/gcc-lib/%{target}
%define		gcclib		%{_prefix}/lib/gcc-lib/%{target}/%{version}

%define		__cc		%{target}-gcc
%define		__cxx		%{target}-g++

%ifarch alpha sparc sparc64 sparcv9
%define		optflags	-O2
%endif

%description
The PNG library is a collection of routines used to create and
manipulate PNG format graphics files. The PNG format was designed as a
replacement for GIF, with many improvements and extensions.

%description -l pl
Biblioteki PNG s kolekcj form uywanych do tworzenia i manipulowania
plikami w formacie graficznym PNG. Format ten zosta stworzony jako
zamiennik dla formatu GIF, z wieloma rozszerzeniami i nowociami.

%package dll
Summary:	libpng - DLL library for Windows
Summary(pl):	libpng - biblioteka DLL dla Windows
Group:		Applications/Emulators

%description dll
libpng - DLL library for Windows.

%description dll -l pl
libpng - biblioteka DLL dla Windows.

%prep
%setup -q -n %{realname}-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%ifarch %{ix86}
ln -sf scripts/makefile.gcmmx ./Makefile
%else
ln -sf scripts/makefile.linux ./Makefile
%endif

%patch6 -p1

%build
%{__make} \
	prefix=%{_arch} \
	LIBPATH=%{_arch}/lib \
	CC="%{target}-gcc" \
	RANLIB="%{target}-ranlib"
	OPT_FLAGS="%{rpmcflags}"

%if 0%{!?debug:1}
%{target}-strip -R.comment -R.note *.dll
%{target}-strip -g -R.comment -R.note *.a
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{arch}/{include,lib}
install -d $RPM_BUILD_ROOT%{_datadir}/wine/windows/system

install *.a $RPM_BUILD_ROOT%{arch}/lib
install png.h pngconf.h $RPM_BUILD_ROOT%{arch}/include
install *.dll $RPM_BUILD_ROOT%{_datadir}/wine/windows/system

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{arch}/include/*
%{arch}/lib/*

%files dll
%defattr(644,root,root,755)
%{_datadir}/wine/windows/system

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: crossmingw32-libpng.spec,v $
Revision 1.8  2004/12/04 15:36:38  qboosh
- updated to 1.2.8

Revision 1.7  2004/10/09 11:04:07  wolf
- rel++
- R: crossmingw32-runtime

Revision 1.6  2004/09/16 11:57:21  wolf
- rel 2 to rebuild with gcc 3.4.2

Revision 1.5  2004/09/12 12:21:49  wolf
- 1.2.7

Revision 1.4  2004/08/30 19:30:38  qboosh
- updated to final 1.2.6 (fixes CAN-2004-0597 CAN-2004-0598 CAN-2004-0599)
- updated shared patch, release 4

Revision 1.3  2004/05/08 16:35:32  wolf
- CAN-2004-0421

Revision 1.2  2004/02/21 18:43:07  wolf
- fix alpha, sparc

Revision 1.1  2003/12/25 15:04:15  wolf
- blah
